class Admin::PatentTypesController < OrbitMemberController

	def index
	end

	def new
		@patent_type = PatentType.new
		@url = admin_patent_types_path
	end

	def edit
		@patent_type = PatentType.find(params[:id])
		@url = admin_patent_type_path(@patent_type)
	end

	def create
		patent_type = PatentType.create(patent_type_params)
		@patent_types = PatentType.all
	end

	def update
		patent_type = PatentType.find(params[:id]) rescue nil
		if !patent_type.nil?
			patent_type.update_attributes(patent_type_params)
		end
		@patent_types = PatentType.all
	end

	def destroy
		patent_type = PatentType.find(params[:id]) rescue nil
		if !patent_type.nil?
			patent_type.destroy
		end
		@patent_types = PatentType.all
	end

	private 

	def patent_type_params
		params.require(:patent_type).permit!
	end

end